Bug 1538816 - [3.7] Check at install time if alleged openshift_ip value is actually openshift_public_ip
Summary: [3.7] Check at install time if alleged openshift_ip value is actually openshi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 3.7.z
Assignee: Russell Teague
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-25 21:50 UTC by Russell Teague
Modified: 2018-04-05 09:36 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Variable defined in inventory was being interpreted as a string, not a bool Consequence: Tasks were not being conditionally run as expected Fix: Casting the string to a bool for proper conditional check Result: Tasks run as expected based on inventory variable setting
Clone Of: 1506750
Environment:
Last Closed: 2018-04-05 09:36:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0636 None None None 2018-04-05 09:36:45 UTC

Comment 1 Russell Teague 2018-01-25 22:10:49 UTC
Proposed: https://github.com/openshift/openshift-ansible/pull/6885

Comment 3 Johnny Liu 2018-01-29 11:19:01 UTC
Verified this bug with openshift-ansible-playbooks-3.7.27-1.git.0.ae95fc3.el7.noarch, and PASS.

scenarios 1: 
TASK [Validate openshift_hostname when defined] ********************************
Monday 29 January 2018  10:56:52 +0000 (0:00:00.238)       0:00:39.954 ******** 
fatal: [host-8-248-180.host.centralci.eng.rdu2.redhat.com]: FAILED! => {"changed": false, "msg": "The hostname host-8-248-180.host.centralci.eng.rdu2.redhat.com for host-172-16-120-147 doesn't resolve to an IP address owned by this host. Please set openshift_hostname variable to a hostname that when resolved on the host in question resolves to an IP address matching an interface on this host. This will ensure proper functionality of OpenShift networking features. Inventory setting: openshift_hostname=host-8-248-180.host.centralci.eng.rdu2.redhat.com This check can be overridden by setting openshift_hostname_check=false in the inventory. See https://docs.openshift.org/latest/install_config/install/advanced_install.html#configuring-host-variables\n"}


scenarios 2:
TASK [Query DNS for IP address of host-8-248-180.host.centralci.eng.rdu2.redhat.com] ****************************************************************************************************
ok: [host-8-248-180.host.centralci.eng.rdu2.redhat.com] => {"changed": false, "cmd": "getent ahostsv4 host-8-248-180.host.centralci.eng.rdu2.redhat.com | head -n 1 | awk '{ print $1 }'", "delta": "0:00:00.007574", "end": "2018-01-29 06:14:08.700191", "failed_when_result": false, "rc": 0, "start": "2018-01-29 06:14:08.692617", "stderr": "", "stderr_lines": [], "stdout": "10.8.248.180", "stdout_lines": ["10.8.248.180"]}

TASK [Validate openshift_hostname when defined] *****************************************************************************************************************************************
skipping: [host-8-248-180.host.centralci.eng.rdu2.redhat.com] => {"changed": false, "skip_reason": "Conditional result was False"}



scenarios 3:
TASK [Validate openshift_ip exists on node when defined] ********************************************************************************************************************************
fatal: [host-8-248-180.host.centralci.eng.rdu2.redhat.com]: FAILED! => {"changed": false, "msg": "The IP address 10.8.248.180 does not exist on host-172-16-120-147. Please set the openshift_ip variable to an IP address of this node. This will ensure proper functionality of OpenShift networking features. Inventory setting: openshift_ip=10.8.248.180 This check can be overridden by setting openshift_ip_check=false in the inventory. See https://docs.openshift.org/latest/install_config/install/advanced_install.html#configuring-host-variables\n"}


scenarios 4:
TASK [Query DNS for IP address of host-8-248-180.host.centralci.eng.rdu2.redhat.com] ****************************************************************************************************
ok: [host-8-248-180.host.centralci.eng.rdu2.redhat.com] => {"changed": false, "cmd": "getent ahostsv4 host-8-248-180.host.centralci.eng.rdu2.redhat.com | head -n 1 | awk '{ print $1 }'", "delta": "0:00:00.005078", "end": "2018-01-29 06:18:22.988071", "failed_when_result": false, "rc": 0, "start": "2018-01-29 06:18:22.982993", "stderr": "", "stderr_lines": [], "stdout": "10.8.248.180", "stdout_lines": ["10.8.248.180"]}

TASK [Validate openshift_hostname when defined] *****************************************************************************************************************************************
skipping: [host-8-248-180.host.centralci.eng.rdu2.redhat.com] => {"changed": false, "skip_reason": "Conditional result was False"}

TASK [Validate openshift_ip exists on node when defined] ********************************************************************************************************************************
skipping: [host-8-248-180.host.centralci.eng.rdu2.redhat.com] => {"changed": false, "skip_reason": "Conditional result was False"}

Comment 7 errata-xmlrpc 2018-04-05 09:36:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0636


Note You need to log in before you can comment on or make changes to this bug.